geos::io::GeoJSONWriter Class Reference

Outputs the GeoJSON representation of a Geometry. See also GeoJSONReader for parsing. More...

`#include <GeoJSONWriter.h>`

## Public Member Functions

std::string | write (const geom::Geometry *geometry, GeoJSONType type=GeoJSONType::GEOMETRY)
std::string | writeFormatted (const geom::Geometry *geometry, GeoJSONType type=GeoJSONType::GEOMETRY, int indent=4)
std::string | write (const GeoJSONFeature &feature)
std::string | write (const GeoJSONFeatureCollection &features)
int | getOutputDimension () const
void | setOutputDimension (uint8_t newOutputDimension)
void | setForceCCW (bool newIsForceCCW)

## Detailed Description

Outputs the GeoJSON representation of a Geometry. See also GeoJSONReader for parsing.

The documentation for this class was generated from the following file:

- GeoJSONWriter.h